Skip to content

Suggest search terms

POST
/cms/content/search/qsuggest
curl --request POST \
--url https://api.example.com/cms/content/search/qsuggest \
--header 'API-Key: <API-Key>' \
--header 'Content-Type: application/json' \
--data '{ "term": "example" }'
Media typeapplication/json
object
term

Search term

string

Example generated

{
"term": "example"
}

Suggested terms: the rows returned by the QSUGGEST stored procedure (an empty array when there are none)

Media typeapplication/json
Array<object>

One suggestion row

object
key
additional properties
any

Example generated

[
{}
]